#### D.4.25.6 intclMonIdeal

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  intclMonIdeal(ideal I);
  intclMonIdeal(ideal I, intvec grading);

Return:
  The exponent vectors of the leading monomials of the elements of I are considered as generators of a monomial ideal for which the normalization of its Rees algebra is computed. For a Definition of the Rees algebra (or Rees ring) see Bruns and Herzog, Cohen-Macaulay rings, Cambridge University Press 1998, p. 182.
  The function returns a list of ideals:
  (i) If the last ring variable is not used by the monomials, it is treated as the auxiliary variable of the Rees algebra. The function returns two ideals, the first containing the monomials generating the integral closure of the monomial ideal, the second containing the algebra generators of the normalization of the Rees algebra.
  (ii) If the last ring variable is used by the monomials, the list returned contains only one ideal, namely the monomials generating the integral closure of the ideal.
  The function returns the a list containing the input ideal I if an option blocking the computation of Hilbert bases has been activated. However, in this case some numerical invariants are computed, and some other data may be contained in files that you can read into Singular (see showNuminvs, exportNuminvs).

Example:

    LIB "normaliz.lib";
    ring R=0,(x,y,z,t),dp;
    ideal I=x^2,y^2,z^3;
    list l=intclMonIdeal(I);
    l[1]; // integral closure of I
    ==> _[1]=z3
    ==> _[2]=yz2
    ==> _[3]=y2
    ==> _[4]=xz2
    ==> _[5]=xy
    ==> _[6]=x2
    l[2];  // monomials generating the integral closure of the Rees algebra
    ==> _[1]=z
    ==> _[2]=z3t
    ==> _[3]=y
    ==> _[4]=yz2t
    ==> _[5]=y2t
    ==> _[6]=x
    ==> _[7]=xz2t
    ==> _[8]=xyt
    ==> _[9]=x2t

See also: ehrhartRing; intclToricRing; normalToricRing.

User manual for Singular version 4.4.1, 2025, generated by texi2html.